<template>
<div class="personalInfo">
 <div class="personal_details" v-for="(item , id) in personalInfo" :key="id">
    <h1 class="ps_name">{{item.name}}</h1>
    <p class="ps_designation">{{item.skill}}</p>
    <ul class="info-list">
        <li><span class="title">سن</span><span class="value">{{item.age}}</span></li>
        
        <li><span class="title">آدرس</span><span class="value">{{item.address}}  </span></li>
        <li><span class="title">ایمیل</span><span class="value"><a href="mailto:nahidbarekati.ir@gmail.com">{{item.email}}  </a></span></li>
        <li><span class="title">اقامت</span><span class="value">{{item.city}}  </span></li>
        <li><span class="title">موبایل</span><span class="value">{{item.mobile}}   </span></li>
        <li><span class="title">اسکایپ</span><span class="value">{{item.skype}}  </span></li>
        <li><span class="title">فریلنسر</span><span class="value available">{{item.frelanser}}  </span></li>
    </ul>
    
    <ul class="social-links">
        <li><a class="tip social-button" href="javascript:;"><i class="fab fa-facebook-f"></i></a></li> 
        <li><a class="tip social-button" href="javascript:;"><i class="fab fa-linkedin-in"></i></a></li>
        <li><a class="tip social-button" href="javascript:;"><i class="fab fa-whatsapp"></i></a></li>
        <li><a class="tip social-button" href="javascript:;"><i class="fab fa-twitter"></i></a></li>
        <li><a class="tip social-button" href="javascript:;"><i class="fab fa-instagram"></i></a></li>
    </ul>
    
</div>
</div>
</template> 
<script>
import  { mapGetters  } from 'vuex';

export default {
    name :"personalInfo",
    data: function(){
        return {
            item : "",
            
        }   
    },
    components : {
        
    },
    computed: { 
        ...mapGetters({
            personalInfo : 'allPersonalInfo'
            
        })
        

    },
    
    mounted() {
        this.$store.dispatch('getAllPersonalInfo');
    }
    

}
</script>